## python-screed 0.9

=== Makefile ===
# make pep8 to check for basic Python code compliance
# make autopep8 to fix most pep8 errors
# make pylint to check Python code for enhanced compliance including naming
#  and documentation
# make coverage-report to check coverage of the python scripts by the tests

PYSOURCES=$(wildcard screed/*.py)
TESTSOURCES=$(wildcard screed/tests/*.py)
SOURCES=$(PYSOURCES) setup.py
DEVPKGS=pep8==1.5.7 diff_cover autopep8 pylint coverage nose sphinx

VERSION=$(shell git describe --tags --dirty | sed s/v//)
all:
	./setup.py build

install-dependencies:
	pip install --upgrade $(DEVPKGS) || pip2 install --upgrade $(DEVPKGS)

install: FORCE
	./setup.py build install

develop: FORCE
	./setup.py develop

dist: dist/screed-$(VERSION).tar.gz

dist/screed-$(VERSION).tar.gz: $(SOURCES)
	./setup.py sdist

clean: FORCE
	./setup.py clean --all || true
	rm coverage-debug || true
	rm -Rf .coverage || true
	rm -Rf doc/_build || true

pep8: $(PYSOURCES) $(TESTSOURCES)
	pep8 --exclude=_version.py setup.py screed/ || true

pep8_report.txt: $(PYSOURCES) $(TESTSOURCES)
	pep8 --exclude=_version.py setup.py screed/ > pep8_report.txt || true

diff_pep8_report: pep8_report.txt
	diff-quality --violations=pep8 pep8_report.txt

autopep8: $(PYSOURCES) $(TESTSOURCS)
	autopep8 --recursive --in-place --exclude _version.py --ignore E309 \
		setup.py screed

# A command to automatically run autopep8 on appropriate files
format: autopep8
	# Do nothing

pylint: FORCE
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
		setup.py screed || true

pylint_report.txt: ${PYSOURCES} $(TESTSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
		setup.py screed > pylint_report.txt || true

diff_pylint_report: pylint_report.txt
	diff-quality --violations=pylint pylint_report.txt

.coverage: $(PYSOURCES) $(TESTSOURCES)
	./setup.py nosetests --with-coverage --cover-package screed \
		--attr '!known_failing' 2>&1 > .coverage.out

coverage.xml: .coverage
	coverage xml --omit 'screed/tests/*'

coverage.html: htmlcov/index.html

htmlcov/index.html: .coverage
	coverage html --omit 'screed/tests/*'
	@echo Test coverage is now in htmlcov/index.html

coverage-report: .coverage
	coverage report --omit 'screed/tests/*'

diff-cover: coverage.xml
	diff-cover coverage.xml

diff-cover.html: coverage.xml
	diff-cover coverage.xml --html-report diff-cover.html

nosetests.xml: FORCE
	./setup.py nosetests --with-xunit --attr '!known_failing'

doxygen: doc/doxygen/html/index.html

doc: build/sphinx/html/index.html

convert-release-notes:
		for file in doc/release-notes/*.md; do \
				pandoc --from=markdown --to=rst $${file} > $${file%%.md}.rst; \
				done

build/sphinx/html/index.html: $(SOURCES) $(wildcard doc/*.txt) doc/conf.py all
		./setup.py build_sphinx --fresh-env
		@echo ''
		@echo '--> docs in build/sphinx/html <--'
		@echo ''

doc/doxygen/html/index.html: ${CPPSOURCES} ${PYSOURCES}
	mkdir -p doc/doxygen
	sed "s/\$${VERSION}/`python get_version.py`/" Doxyfile.in > \
		Doxyfile
	doxygen

test: FORCE
	./setup.py develop
	./setup.py nosetests --attr '!known_failing'

sloccount.sc: ${PYSOURCES} Makefile
	sloccount --duplicates --wide --details screed setup.py Makefile \
		> sloccount.sc

sloccount: 
	sloccount screed setup.py Makefile

FORCE:

## python-screed 0.7.1

=== debian/changelog ===
python-screed (0.7.1-2) unstable; urgency=medium

  * Initial upload to Debian (Closes: #776678)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 27 Jan 2015 17:16:04 -0500

python-screed (0.7.1-1ubuntu1) trusty; urgency=medium

  * Initial Release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 25 Sep 2014 02:02:57 -0400

=== debian/control ===
Source: python-screed
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               python,
               python-sphinx,
               python-setuptools,
               python-nose
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-screed.git
Vcs-Git: git://anonscm.debian.org/debian-med/python-screed.git
Homepage: https://screed.readthedocs.org
X-Python-Version: >= 2.4

Package: python-screed
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: short nucleotide read sequence utils in Python
 Screed parses FASTA and FASTQ files, generates databases, and lets you query
 these databases. Values such as sequence name, sequence description, sequence
 quality, and the sequence itself can be retrieved from these databases.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export PYBUILD_NAME=screed

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

## python-screed 0.9

=== debian/changelog ===
python-screed (0.9-2) unstable; urgency=medium

  * Fix autopkgtest testing.

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Fri, 21 Aug 2015 19:21:37 -0700

python-screed (0.9-1) unstable; urgency=medium

  * Update to latest screed

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Wed, 27 May 2015 21:32:53 -0400

=== debian/control ===
Source: python-screed
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               python,
               python-sphinx,
               python-setuptools,
               python-nose,
               python-bz2file,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-nose,
               python3-bz2file
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-screed.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-screed.git
Homepage: https://screed.readthedocs.org
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python-screed
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: short nucleotide read sequence utils in Python 2
 Screed parses FASTA and FASTQ files, generates databases, and lets you query
 these databases. Values such as sequence name, sequence description, sequence
 quality, and the sequence itself can be retrieved from these databases.
 .
 This is the Python 2 version.

Package: python3-screed
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: short nucleotide read sequence utils in Python 3
 Screed parses FASTA and FASTQ files, generates databases, and lets you query
 these databases. Values such as sequence name, sequence description, sequence
 quality, and the sequence itself can be retrieved from these databases.
 .
 This is the Python 3 version.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,11 @@
 export PYBUILD_NAME=screed
 
 %:
-	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_auto_test:
+	dh_auto_test -- -s custom --test-args='{interpreter} setup.py nosetests --attr !known_failing'
+
+#override_dh_auto_build:
+#	dh_auto_build
+#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html

=== debian/watch ===
version=3
#opts=uversionmangle=s/(rc|dev|a|b|c)/~$1/ \
#https://pypi.python.org/packages/source/s/screed/screed-(.*)\.(?:tar\.gz|zip|tar\.bz2)

https://github.com/ged-lab/screed/releases .*/archive/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## python-screed 1.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PYSOURCES=$(wildcard screed/*.py)
 TESTSOURCES=$(wildcard screed/tests/*.py)
 SOURCES=$(PYSOURCES) setup.py
-DEVPKGS=pep8==1.5.7 diff_cover autopep8 pylint coverage nose sphinx
+DEVPKGS=pep8==1.5.7 diff_cover autopep8 pylint coverage pytest pytest-cov sphinx
 
 VERSION=$(shell git describe --tags --dirty | sed s/v//)
 all:
@@ -15,6 +15,7 @@
 
 install-dependencies:
 	pip install --upgrade $(DEVPKGS) || pip2 install --upgrade $(DEVPKGS)
+	pip install --upgrade --requirement doc/requirements.txt
 
 install: FORCE
 	./setup.py build install
@@ -29,12 +30,13 @@
 
 clean: FORCE
 	./setup.py clean --all || true
-	rm coverage-debug || true
-	rm -Rf .coverage || true
-	rm -Rf doc/_build || true
+	rm -rf build/
+	rm -rf coverage-debug .coverage coverage.xml
+	rm -rf doc/_build
+	rm -rf .eggs/ *.egg-info/ .cache/ __pycache__/ *.pyc */*.pyc */*/*.pyc
 
 pep8: $(PYSOURCES) $(TESTSOURCES)
-	pep8 --exclude=_version.py setup.py screed/ || true
+	pep8 --exclude=_version.py setup.py screed/
 
 pep8_report.txt: $(PYSOURCES) $(TESTSOURCES)
 	pep8 --exclude=_version.py setup.py screed/ > pep8_report.txt || true
@@ -62,8 +64,7 @@
 	diff-quality --violations=pylint pylint_report.txt
 
 .coverage: $(PYSOURCES) $(TESTSOURCES)
-	./setup.py nosetests --with-coverage --cover-package screed \
-		--attr '!known_failing' 2>&1 > .coverage.out
+	./setup.py test --addopts="--cov"
 
 coverage.xml: .coverage
 	coverage xml --omit 'screed/tests/*'
@@ -83,8 +84,8 @@
 diff-cover.html: coverage.xml
 	diff-cover coverage.xml --html-report diff-cover.html
 
-nosetests.xml: FORCE
-	./setup.py nosetests --with-xunit --attr '!known_failing'
+tests.xml: FORCE
+	./setup.py test --addopts "--junitxml=$@"
 
 doxygen: doc/doxygen/html/index.html
 
@@ -109,7 +110,7 @@
 
 test: FORCE
 	./setup.py develop
-	./setup.py nosetests --attr '!known_failing'
+	./setup.py test
 
 sloccount.sc: ${PYSOURCES} Makefile
 	sloccount --duplicates --wide --details screed setup.py Makefile \

=== doc/requirements.txt ===
recommonmark==0.4.0

=== debian/changelog ===
python-screed (1.0-2) unstable; urgency=medium

  * Use python3 for the tests

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 24 Jun 2017 08:02:32 -0700

python-screed (1.0-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 23 Jun 2017 08:17:43 -0700

=== debian/control ===
Source: python-screed
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-nose,
               python3-bz2file,
               python3-pytest-runner,
               python3-pytest-cov
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-screed.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-screed.git
Homepage: https://screed.readthedocs.org
X-Python3-Version: >= 3.4

Package: python3-screed
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: short nucleotide read sequence utils in Python 3
 Screed parses FASTA and FASTQ files, generates databases, and lets you query
 these databases. Values such as sequence name, sequence description, sequence
 quality, and the sequence itself can be retrieved from these databases.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export PYBUILD_NAME=screed

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_install
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="export PATH={destdir}/usr/usr/bin:$$PATH {interpreter} -m pytest -m 'not known_failing'"

#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html

## python-screed 1.0.4

=== debian/changelog ===
python-screed (1.0.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 17 Feb 2020 08:24:04 +0100

python-screed (1.0-3) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/copyright
  * Drop ancient X-Python-Version field
  * Drop unused lintian-override

 -- Andreas Tille <tille@debian.org>  Tue, 30 Oct 2018 08:59:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -12,11 +12,10 @@
                python3-bz2file,
                python3-pytest-runner,
                python3-pytest-cov
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-screed.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/python-screed.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/python-screed
+Vcs-Git: https://salsa.debian.org/med-team/python-screed.git
 Homepage: https://screed.readthedocs.org
-X-Python3-Version: >= 3.4
 
 Package: python3-screed
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,11 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_install
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="export PATH={destdir}/usr/usr/bin:$$PATH {interpreter} -m pytest -m 'not known_failing'"
+endif
 
 #override_dh_auto_build:
 #	dh_auto_build

=== debian/watch ===
version=3
#opts=uversionmangle=s/(rc|dev|a|b|c)/~$1/ \
#https://pypi.python.org/packages/source/s/screed/screed-(.*)\.(?:tar\.gz|zip|tar\.bz2)

https://github.com/dib-lab/screed/releases .*/archive/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## python-screed 1.0.5

=== Makefile ===
# make pep8 to check for basic Python code compliance
# make pylint to check Python code for enhanced compliance including naming
#  and documentation
# make coverage-report to check coverage of the python scripts by the tests

PYSOURCES=$(wildcard screed/*.py)
TESTSOURCES=$(wildcard screed/tests/*.py)
SOURCES=$(PYSOURCES) setup.py

VERSION=$(shell git describe --tags --dirty | sed s/v//)
all:
	./setup.py build

install: FORCE
	./setup.py build install

install-dependencies: FORCE
	pip install -e .[all]

develop: FORCE
	./setup.py develop

dist: dist/screed-$(VERSION).tar.gz

dist/screed-$(VERSION).tar.gz: $(SOURCES)
	./setup.py sdist

clean: FORCE
	./setup.py clean --all || true
	rm -rf build/
	rm -rf coverage-debug .coverage coverage.xml
	rm -rf doc/_build
	rm -rf .eggs/ *.egg-info/ .cache/ __pycache__/ *.pyc */*.pyc */*/*.pyc

pep8: $(PYSOURCES) $(TESTSOURCES)
	pycodestyle --exclude=_version.py setup.py screed/

pylint: FORCE
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
		setup.py screed || true

doc: FORCE
	cd doc && make html

test: FORCE
	./setup.py develop
	./setup.py test

FORCE:

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/screed.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/screed.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/screed"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/screed"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-screed (1.0.5-4) unstable; urgency=medium

  * Team Upload.
  * Use pytest instead of nosetest

 -- Nilesh Patra <nilesh@debian.org>  Sat, 18 Dec 2021 14:13:55 +0530

python-screed (1.0.5-3) unstable; urgency=medium

  * Team upload.
  * Use python-bz2 instead of bz2file (addressing bug #987287)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Dec 2021 21:56:11 +0100

python-screed (1.0.5-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 02 Sep 2021 06:51:37 +0200

python-screed (1.0.5-1) unstable; urgency=medium

  * debian/watch: update to format 4
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * debian/control: build-dep on python3-setuptools-scm

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 02 Feb 2021 17:53:43 +0100

=== debian/control ===
Source: python-screed
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-sphinx,
               python3-setuptools,
               python3-setuptools-scm
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/python-screed
Vcs-Git: https://salsa.debian.org/med-team/python-screed.git
Homepage: https://screed.readthedocs.org
Rules-Requires-Root: no

Package: python3-screed
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: short nucleotide read sequence utils in Python 3
 Screed parses FASTA and FASTQ files, generates databases, and lets you query
 these databases. Values such as sequence name, sequence description, sequence
 quality, and the sequence itself can be retrieved from these databases.

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,6 @@
 	PYBUILD_TEST_ARGS="export PATH={destdir}/usr/usr/bin:$$PATH {interpreter} -m pytest -m 'not known_failing'"
 endif
 
-#override_dh_auto_build:
-#	dh_auto_build
-#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html
+override_dh_auto_build:
+	dh_auto_build
+	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-screed-$1.tar.gz%"
https://github.com/dib-lab/screed/tags (?:.*?/)?v?@ANY_VERSION@\.tar\.gz

## python-screed 1.1.2

=== debian/changelog ===
python-screed (1.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version  (Closes: #1040573)
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * bz2.patch: remove: applied upstream.
  * debian/python-screed.lintian-overrides: remove.
  * d/py*3-screed.lintian-overrides: fix mismatched override.

 -- Étienne Mollier <emollier@debian.org>  Sat, 08 Jul 2023 21:25:32 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-sphinx,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-screed
 Vcs-Git: https://salsa.debian.org/med-team/python-screed.git
 Homepage: https://screed.readthedocs.org

## python-screed 1.1.3

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,6 @@
 	cd doc && make html
 
 test: FORCE
-	./setup.py develop
-	./setup.py test
+	pytest
 
 FORCE:

=== doc/Makefile ===
--- 
+++ 
@@ -15,6 +15,8 @@
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
+
+all: html
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"

=== debian/changelog ===
python-screed (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sat, 13 Jan 2024 19:26:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-pytest,
                python3-sphinx,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=screed
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
